Package org.eclipse.birt.chart.computation.withaxes

# Class VerticalAxisAdjuster

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.VerticalAxisAdjuster

All Implemented Interfaces:
  `IAxisAdjuster`

public class VerticalAxisAdjuster extends Object implements IAxisAdjuster
The class is used to adjust the location and scale of one vertical axis.

Since:
  2.5

## Constructor Summary

Constructors
Constructor
Description
`VerticalAxisAdjuster(OneAxis verticalAxis, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`adjust()`
Adjust axis(axes) scale and location.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerticalAxisAdjuster

public VerticalAxisAdjuster(OneAxis verticalAxis, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)
Constructor.

Parameters:
  `verticalAxis` -
  `horizontalAxis` -
  `plotWithAxes` -
  `boPlot` -

## Method Details

### adjust

public void adjust() throws ChartException
Description copied from interface: `IAxisAdjuster`
Adjust axis(axes) scale and location.

Specified by:
  `adjust` in interface `IAxisAdjuster`
Throws:
  `ChartException`